%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global pkgname slimit

Name: python-slimit
Version: 0.7.4
Release: 6%{?dist}
Summary: JavaScript minifier written in Python

Group: Development/Languages
License: MIT
URL: http://slimit.org/
Source0: http://pypi.python.org/packages/source/s/%{pkgname}/%{pkgname}-%{version}.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools

# Required for running tests
BuildRequires: python-ply >= 3.4
BuildRequires: python-odict

Requires: python2
Requires: python-ply >= 3.4
Requires: python-odict

%description
SlimIt is a JavaScript minifier written in Python. It compiles JavaScript into
more compact code so that it downloads and runs faster.

SlimIt also provides a library that includes a JavaScript parser, lexer, pretty
printer and a tree visitor.

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}-%{version}*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/slimit

%check
%{__python} setup.py test -m slimit.tests.test_lexer
%{__python} setup.py test -m slimit.tests.test_nodevisitor

%files
%defattr(-,root,root,-)
%doc CHANGES README.rst
%{_bindir}/slimit
%{python_sitelib}/%{pkgname}/
%{python_sitelib}/%{pkgname}-%{version}*.egg-info

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 04 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.7.4-3
- Add %%{pkgname}

* Thu Oct 04 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.7.4-2
- Spec file changes from package review
- Added support for EPEL
- Run tests in %%check
- Add %%clean

* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.7.4-1
- Initial release
